## Version Information

Version Information — macros and functions to check the girepository version

## Functions

#define | GI_CHECK_VERSION()
guint | gi_get_major_version ()
guint | gi_get_minor_version ()
guint | gi_get_micro_version ()

## Types and Values

#define | GI_MAJOR_VERSION
#define | GI_MINOR_VERSION
#define | GI_MICRO_VERSION

## Description

## Functions

### GI_CHECK_VERSION()

    #define             GI_CHECK_VERSION(major,minor,micro)

Checks the version of the girepository library that is being compiled against.

#### Parameters

major | the major version to check for |
minor | the minor version to check for |
micro | the micro version to check for |

#### Returns

`TRUE` if the version of the girepository header files is the same as or newer than the passed-in version.

Since: 1.60

### gi_get_major_version ()

    guint
    gi_get_major_version (void);

Returns the major version number of the girepository library. (e.g. in version 1.58.2 this is 1.)

#### Returns

the major version number of the girepository library

Since: 1.60

### gi_get_minor_version ()

    guint
    gi_get_minor_version (void);

Returns the minor version number of the girepository library. (e.g. in version 1.58.2 this is 58.)

#### Returns

the minor version number of the girepository library

Since: 1.60

### gi_get_micro_version ()

    guint
    gi_get_micro_version (void);

Returns the micro version number of the girepository library. (e.g. in version 1.58.2 this is 2.)

#### Returns

the micro version number of the girepository library

Since: 1.60

## Types and Values

### GI_MAJOR_VERSION

    #define GI_MAJOR_VERSION 1

The major version number of the girepository library.

Since: 1.60

### GI_MINOR_VERSION

    #define GI_MINOR_VERSION 86

The minor version number of the girepository library.

Since: 1.60

### GI_MICRO_VERSION

    #define GI_MICRO_VERSION 0

The micro version number of the girepository library.

Since: 1.60